> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vocalistic.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Patch Member



## OpenAPI

````yaml /api-reference/openapi.json patch /v1/members/{member_id}
openapi: 3.1.0
info:
  description: ''
  title: Vocalistic API
  version: 1.0.0
servers:
  - url: https://api.vocalistic.ai
security: []
paths:
  /v1/members/{member_id}:
    patch:
      tags:
        - Team
      summary: Patch Member
      operationId: apps_organization_api_team_patch_member
      parameters:
        - in: path
          name: member_id
          required: true
          schema:
            maxLength: 64
            pattern: ^[A-Za-z0-9_\-]+$
            title: Member Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MemberPatch'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MemberOut'
          description: OK
      security:
        - ApiKeyAuth: []
        - UserSessionAuth: []
components:
  schemas:
    MemberPatch:
      properties:
        is_active:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Active
        role:
          anyOf:
            - type: string
            - type: 'null'
          title: Role
      title: MemberPatch
      type: object
    MemberOut:
      properties:
        created_at:
          format: date-time
          title: Created At
          type: string
        email:
          title: Email
          type: string
        id:
          title: Id
          type: string
        is_active:
          title: Is Active
          type: boolean
        name:
          title: Name
          type: string
        role:
          title: Role
          type: string
        user_id:
          title: User Id
          type: string
      required:
        - id
        - user_id
        - email
        - name
        - role
        - is_active
        - created_at
      title: MemberOut
      type: object

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.